<?php
namespace TYPO3\AgAuthors\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package ag_authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class RegauthorController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController {

	/**
	 * regauthorRepository
	 *
	 * @var \TYPO3\AgAuthors\Domain\Repository\RegauthorRepository
	 * @inject
	 */
	protected $regauthorRepository;

	/**
	 * action list
	 *
	 * @return void
	 */
	public function listAction() {
		$authors = $this->regauthorRepository->findAll();
		$this->view->assign('regauthors', $regauthors);
	}

	/**
	 * action show
	 *
	 * @param \TYPO3\AgAuthors\Domain\Model\Author $author
	 * @return void
	 */
	public function showAction(\TYPO3\AgAuthors\Domain\Model\Regauthor $regauthor) {
		$this->view->assign('regauthor', $regauthor);
	}

}
?>