<?php
namespace TYPO3\Agauthors\ViewHelpers;
/**
 * Viewhelper Gravatar
 */
class Md5ViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {

    /**
     * @param string $email email to compute the link from
     * @param integer $imagewidth imagewidth for gravatar
     * @param string $alttext user name
     * @return string $output             
     * 
     */
    public function render($email = '', $imagewidth=50, $alttext='') {
        $output = '';
        $email = trim(strip_tags($email));
        $imagewidth = intval($imagewidth);
        $alttext = trim(strip_tags($alttext));
        
        if ($email) {
            $md5 = md5($email);
            $output = "<img alt='" . $alttext . "' title='" . $alttext . "' src='http://www.gravatar.com/avatar/" . $md5;
            $output .= "?s=" . $imagewidth . "/>";
        }

        return $output;
    }

}

?>